org.apache.maven.artifact.resolver

## Class ArtifactResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.artifact.resolver.AbstractArtifactResolutionException
      - - org.apache.maven.artifact.resolver.ArtifactResolutionException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CyclicDependencyException, MultipleArtifactsNotFoundException, OverConstrainedVersionException

      public class ArtifactResolutionException
      extends AbstractArtifactResolutionException

  Version:
    $Id: ArtifactResolutionException.java 526578 2007-04-08 17:25:14Z brianf $
  Author:
    Jason van Zyl
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ArtifactResolutionException(java.lang.String message, Artifact artifact)`
    `` | `ArtifactResolutionException(java.lang.String message, Artifact artifact, java.util.List remoteRepositories)`
    `protected` | `ArtifactResolutionException(java.lang.String message, Artifact artifact, java.util.List remoteRepositories, java.lang.Throwable t)`
    `` | `ArtifactResolutionException(java.lang.String message, Artifact artifact, java.lang.Throwable t)`
    `` | `ArtifactResolutionException(java.lang.String message, java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String classifier, java.util.List remoteRepositories, java.util.List path, java.lang.Throwable t)`
    `` | `ArtifactResolutionException(java.lang.String message, java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String classifier, java.lang.Throwable t)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.maven.artifact.resolver.AbstractArtifactResolutionException

      `constructArtifactPath, constructMissingArtifactMessage, getArtifact, getArtifactId, getArtifactPath, getClassifier, getGroupId, getOriginalMessage, getPath, getRemoteRepositories, getType, getVersion`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactResolutionException

          public ArtifactResolutionException(java.lang.String message,
                                     java.lang.String groupId,
                                     java.lang.String artifactId,
                                     java.lang.String version,
                                     java.lang.String type,
                                     java.lang.String classifier,
                                     java.util.List remoteRepositories,
                                     java.util.List path,
                                     java.lang.Throwable t)

    - #### ArtifactResolutionException

          public ArtifactResolutionException(java.lang.String message,
                                     java.lang.String groupId,
                                     java.lang.String artifactId,
                                     java.lang.String version,
                                     java.lang.String type,
                                     java.lang.String classifier,
                                     java.lang.Throwable t)

    - #### ArtifactResolutionException

          public ArtifactResolutionException(java.lang.String message,
                                     Artifact artifact)

    - #### ArtifactResolutionException

          public ArtifactResolutionException(java.lang.String message,
                                     Artifact artifact,
                                     java.util.List remoteRepositories)

    - #### ArtifactResolutionException

          public ArtifactResolutionException(java.lang.String message,
                                     Artifact artifact,
                                     java.lang.Throwable t)

    - #### ArtifactResolutionException

          protected ArtifactResolutionException(java.lang.String message,
                                     Artifact artifact,
                                     java.util.List remoteRepositories,
                                     java.lang.Throwable t)